Subject: RE: [Sip] RE: TLS meaning

From: "Elwell, John" <[email-masked]>
Date: Sun, 29 Oct 2006 11:22:21 +0000

David ,

> -----Original Message-----
> From: David R Oran [mailto:[email-masked]] 
> Sent: 28 October 2006 13:43
> To: Paul Kyzivat
> Cc: Joel M. Halpern; IETF SIP List; Francois Audet; Dean Willis
> Subject: Re: [Sip] RE: TLS meaning
> 
> Sorry to jump into the middle of the thread, but given the long  
> chain, I had to pick somewhere to insert my personal opinion. I'll  
> note that I'm one of the guilty parties in raising the whole 
> question  
> about the utility of sips, so I guess I ought to support some way  
> forward here. There was a suggestion earlier in the thread I really  
> liked, which I think was:
> 
> a) get rid of sips as a url scheme.
> b) write a BCP which says if you get TLS in, send TLS out.
> 
> In what way does this not give us EXACTLY the capability we 
> have with  
> SIPS, without all the complexity of a separate url scheme and the  
> semantic mismatch problems people (including me) keep hammering on  
> when we compare sips to https.
[JRE] UAs that always use TLS for their outbound requests would then not be
able to send a request to a destination not reachable via TLS hops.

John

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip